=== src/test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
