=== debian/changelog ===
hinge (0.5.0-8) unstable; urgency=medium

  [ Komolehin Israel Timilehin ]
  * Document dependency installation errors
  * Removed installation error log
  * Added Autopkgtest
  * Updated depends
  * Replicate upstream demo
  * Added README to document error

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)
  * Fix build with CMake 4
    Closes: #1112992
  * d/watch: version=5
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 19:03:17 +0200

hinge (0.5.0-7) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * No tab in license text (routine-update)
  * No need to exclude files any more in d/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 22 Dec 2021 08:21:12 +0100

hinge (0.5.0-6) unstable; urgency=medium

  [ Gilles Filippini ]
  * Fix FTBFS against spdlog 1.5.0 (closes: #952615)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Mar 2020 18:18:50 +0100

hinge (0.5.0-5) unstable; urgency=medium

  * Afif removed himself from Uploaders
  * Add myself to Uploaders
  * Use 2to3 to port to Python3
    Closes: #936704
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2019 16:12:32 +0100

hinge (0.5.0-4) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

  [ Michael R. Crusoe ]
  * Remove trailing whitespace in debian/copyright
  * Added libspdlog-dev 1:1.3.0 compatibility, Closes: #909763
  * Standards-Version: 4.3.0, no changes needed
  * debhelper 12

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 18 Jan 2019 11:03:09 -0800

hinge (0.5.0-3) unstable; urgency=low

  * Mark spdlog patch as forwarded upstream
  * d/control: copy Depends into Build-Depends
    to allow migration to Testing
  * Bump Standards-Version to 4.1.3
  * Bump copyright year

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 14:07:59 -0500

hinge (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * d/p/libspdlog: Update to new interface, Closes: #884211
  * d/control: Update to standards 4.1.1 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Wed, 13 Dec 2017 12:23:29 +0100

hinge (0.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #878962)

 -- Afif Elghraoui <afif@debian.org>  Fri, 20 Oct 2017 00:27:38 -0400
