=== debian/control ===
Source: hinge
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libspdlog-dev,
 libboost-dev,
 libboost-graph-dev,
 libhdf5-dev,
 zlib1g-dev,
 pandoc,
# Run-Time-Depends:
# (to prevent building where not installable)
 python3,
 daligner,
 dazzdb,
 dascrubber,
 python3-numpy,
 python3-ujson,
 python3-colormap,
 python3-pbcore,
 python3-networkx,
 python3-matplotlib,
Vcs-Browser: https://salsa.debian.org/med-team/hinge
Vcs-Git: https://salsa.debian.org/med-team/hinge.git
Homepage: https://github.com/HingeAssembler/HINGE
Rules-Requires-Root: no

Package: hinge
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
 daligner,
 dazzdb,
 dascrubber,
 python3-numpy,
 python3-ujson,
 python3-colormap,
 python3-pbcore,
 python3-networkx,
 python3-matplotlib,
Description: long read genome assembler based on hinging
 HINGE is a genome assembler that seeks to achieve optimal repeat resolution
 by distinguishing repeats that can be resolved given the data from those that
 cannot. This is accomplished by adding “hinges” to reads for constructing an
 overlap graph where only unresolvable repeats are merged. As a result, HINGE
 combines the error resilience of overlap-based assemblers with
 repeat-resolution capabilities of de Bruijn graph assemblers.
