=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_installexamples:
	dh_installexamples
	# only install nominal.ini from the utils/ directory, but preserve
	# the directory structure (since demo scripts expect it)
	mkdir -p debian/hinge/usr/share/doc/hinge/examples/utils \
	&& cp utils/nominal.ini debian/hinge/usr/share/doc/hinge/examples/utils
