=== debian/tests/control ===
# FIXME: The test is deactivated since not yet finished
#Tests: run-demo
#Depends: wget, hinge, seqtk
#Restrictions: allow-stderr, needs-internet
