=== debian/watch ===
Version: 5

Template: Github
Owner: HingeAssembler
Project: HINGE
